Bug 35 - Multi encoding doesn't work when encoding to m4a and aac fallback is triggered
Summary: Multi encoding doesn't work when encoding to m4a and aac fallback is triggered
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: Encoding (show other bugs)
Version: unspecified
Hardware: All All
: Normal minor
Assignee: Andrew Strong
URL:
Depends on:
Blocks:
 
Reported: 2016-07-10 20:43 BST by birk.bremer
Modified: 2016-07-19 09:24 BST (History)
1 user (show)

See Also:


Attachments
Fix for multi encodes with aac fallback (552 bytes, patch)
2016-07-17 01:49 BST, Andrew Strong
Details

Note You need to log in before you can comment on or make changes to this bug.
Description birk.bremer 2016-07-10 20:43:04 BST
I'm using abcde v2.7.2

When I put the following setting:
OUTPUTTYPE=mp3,flac,m4a

only an AAC file is created, no mp3 and no flac.
This seems due to the fallback to aac (I get the following message)
WARNING: Your copy of Faac does not have mp4 support
WARNING: Encoding untagged files to aac...

When selecting OUTPUTTYPE=mp3,flac,aac it workes fine.
Comment 1 Andrew Strong 2016-07-17 00:08:32 BST
Oops, that is my oversight. Your best short term solution is to not use faac at all, in part because your copy has been crippled by the packagers (m4a packaging disabled because of a licensing issue) and in part because it is very low in the order of quality sound.

A better aac encoder is fdkaac and abcde is set up to run with this. A sample conf file here:

http://www.andrews-corner.org/abcde.html#fdkaac

And this would be your best bet until I manage to fix the issue I have inadvertently created...
Comment 2 Andrew Strong 2016-07-17 01:49:15 BST
Created attachment 24 [details]
Fix for multi encodes with aac fallback
Comment 3 Andrew Strong 2016-07-17 01:50:31 BST
OK I have put a pretty simple easy fix together. Could you test and if it is ok I will commit...
Comment 4 Andrew Strong 2016-07-19 09:24:26 BST
Thanks very much for the bug report. Fixed in latest git.